当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 脚本初步小问题
帖子发表于 : 2010-03-14 15:49 

注册: 2009-11-12 20:27
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
#!/bin/bash
#清除/var/log下的log文件

LOG_DIR=/var/log
ROOT_UID=0
LINES=50
E_XCD=66 #到底是整数值还是ASCII码?
E_NOTROOT=67

if [ "$UID" -ne "$ROOT_UID" ]; then
echo "Must be root to run this script."
exit $E_NOTROOT #echo 和exit两条语句要加大括号{}吗?
fi

#if [ -n "$1" ]; then
# lines=$1
#else
# lines=$LINES
#fi

#或者采用如下case结构
E_WRONGARGS=65
case "$1" in
"" )
lines=50;;
*[!0-9]* )
echo "Usage: `basename $0` file-to-cleanup"; exit $E_WRONGARGS;;
* )
lines=$1;;
esac
#echo $lines

cd $LOG_DIR

if [ `pwd` != "$LOG_DIR" ]; then #wrong # 或者 if[ "$PWD" != "$LOG_DIR" ]
#if [ "$PWD" != "$LOG_DIR" ]; then
echo "Can't change to $LOG_DIR."
exit $E_XCD
fi

#或者采用||运算符
# cd $LOG_DIR || { echo "Can't change to $LOG_DIR." >&2 ; exit $E_XCD } #>&2是什么意思?

tail -$lines messages > mesg.temp
mv mesg.temp messages

cat /dev/null > wtmp
# cat /dev/null : > wtmp

echo "Logs were cleaned up."
exit 0


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 脚本初步小问题
帖子发表于 : 2010-03-14 15:50 

注册: 2009-11-12 20:27
帖子: 67
送出感谢: 0 次
接收感谢: 0 次
:em06 请看斜体部分


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译